: Class DateThread

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.timers
Class DateThread

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.w3c.tools.timers.DateThread

public class DateThread
extends java.lang.Thread

Field Summary
`protected static java.lang.String[]` | `days`
`protected static java.lang.String[]` | `months`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`DateThread()`

Method Summary
`java.lang.String` | `getDate()` Give the Date in HTTP/1.1 preferred format
`java.lang.String` | `getLogDate()`
`static void` | `main(java.lang.String[] args)`
`void` | `run()` The main loop which calculate the date every second

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### days

    protected static java.lang.String[] days

### months

    protected static java.lang.String[] months

Constructor Detail

### DateThread

    public DateThread()

Method Detail

### getDate

    public java.lang.String getDate()

  Give the Date in HTTP/1.1 preferred format
  Returns:
    A String giving the date in the right format

### getLogDate

    public java.lang.String getLogDate()

### run

    public void run()

  The main loop which calculate the date every second
  Overrides:
    run in class java.lang.Thread

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD